import { useEffect, useState } from "react";
import ArticleCard from "./ArticleCard";
import { Article } from "../types";

export default function ArticlesSection() {

    const [articles, setArticles] = useState<Article[]>([]);

    useEffect(() => {
        fetch('/api/article')
            .then(response => response.json())
            .then((data: Article[]) => setArticles(data));
    }, []);

    return (
        <div>
            {articles.map(article => (
                <ArticleCard key={article.id} article={article} />
            ))}
        </div>
    )
}